# Uses of Class
org.eclipse.gef.palette.PaletteContainer

Packages that use PaletteContainer
Package
Description
org.eclipse.gef.palette
This package defines and implements the model used by the `PaletteViewer`.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.palette.customize

## Uses of PaletteContainer in org.eclipse.gef.palette

Subclasses of PaletteContainer in org.eclipse.gef.palette
Modifier and Type
Class
Description
`class`
`PaletteDrawer`
A PaletteDrawer is a collapsible container that can have other non-container palette entries.
`class`
`PaletteGroup`
A PaletteGroup consists of a group of `PaletteEntry` objects that are uncollapsible .
`class`
`PaletteRoot`
Serves as the root `PaletteEntry` for the palette model.
`class`
`PaletteStack`
The model object for a PaletteStack - A stack of tools.
`class`
`PaletteToolbar`
A PaletteGroup consists of a group of `PaletteEntry` objects that are uncollapsible .
Methods in org.eclipse.gef.palette that return PaletteContainer
Modifier and Type
Method
Description
`PaletteContainer`
PaletteEntry.`getParent()`
Methods in org.eclipse.gef.palette with parameters of type PaletteContainer
Modifier and Type
Method
Description
`void`
PaletteEntry.`setParent(PaletteContainer newParent)`
Sets the parent of this entry

## Uses of PaletteContainer in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette with parameters of type PaletteContainer
Modifier and Type
Method
Description
`protected boolean`
PaletteCustomizer.`canAdd(PaletteContainer container, PaletteEntry entry)`
Return true if this container can accept this entry as a new child.

## Uses of PaletteContainer in org.eclipse.gef.ui.palette.customize

Methods in org.eclipse.gef.ui.palette.customize that return PaletteContainer
Modifier and Type
Method
Description
`protected PaletteContainer`
PaletteContainerFactory.`determineContainerForNewEntry(PaletteEntry selected)`
`protected PaletteContainer`
PaletteEntryFactory.`determineContainerForNewEntry(PaletteEntry selected)`
Given the current selection, this method determines the parent for the new entry to be created.
Methods in org.eclipse.gef.ui.palette.customize with parameters of type PaletteContainer
Modifier and Type
Method
Description
`protected int`
PaletteContainerFactory.`determineIndexForNewEntry(PaletteContainer parent, PaletteEntry selected)`
`protected int`
PaletteEntryFactory.`determineIndexForNewEntry(PaletteContainer c, PaletteEntry selected)`
Calculates the index at which the new entry is to be created, given the current selection.